#
# spec file for package gdkxft (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile control-center control-center-devel esound esound-devel freetype2 freetype2-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gnome-utils gpc gpp gtk gtk-devel gxmhtml imlib imlib-devel indent libgpp libjpeg libpng libtiff libungif libxml libxml-devel libz orbit orbit-devel scrollkeeper xdevel xf86 xfstt xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-utils gpc gpm gpp gppshare grep groff gtk gtk-devel gxmhtml gzip imlib imlib-devel indent kbd less libgpp libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm scrollkeeper sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xfstt xshared

Name:         gdkxft
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:        X11/GNOME/Base
  
Autoreqprov:  on
Version:      1.1
Release:      67
Summary:      Adapt GTK-1.2 to support xft fonts
Source: http://philrsss.anu.edu.au/~josh/gdkxft/gdkxft-%{version}.tar.bz2 
URL: http://philrsss.anu.edu.au/~josh/gdkxft/
BuildRoot: /var/tmp/gdkxft-root
Patch: gdkxft.conf.dif

%description
It is highly recommended to read the package documentation in
/usr/share/doc/packages/gdkxft/
By installing this package, antialiased fonts can be used in all GTK 1.2 and GNOME based programs. After installation, please use the GNOME control-center and choose the "gdkxft" theme from the theme selection. If antialiased fonts
are installed, they can now be used in Gimp and nearly all other GTK based
programs.

Authors:
--------
    Josh Parsons <josh@philosophy.org.au>

SuSE series: gnm

%prep
%setup 
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXX="g++ $RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x usr/bin/perl ] ; then
chroot . opt/gnome/bin/gdkxft_sysinstall
fi

%preun
opt/gnome/bin/gdkxft_sysinstall -u

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{prefix}/share/gdkxft.conf
%{prefix}/lib/libgdkxft.*
%{prefix}/bin/gdkxft_sysinstall

%changelog -n gdkxft
* Thu Sep 13 2001 - hhetter@suse.de
- corrected gdkxft.conf file for correct font foundry entries
- functionality test together with gnome-startup script
* Sat Sep 08 2001 - olh@suse.de
- fix postinstall section, check for interpreter and use chroot
* Sat Sep 08 2001 - kukuk@suse.de
- No absolute paths in %%post/%%postun install sections
* Wed Sep 05 2001 - hhetter@suse.de
- initial SuSE release, version 1.1
